Skip to main content
GET
/
api
/
v1
/
notifications
알림 목록 조회
curl --request GET \
  --url https://k-polaris.life/api/v1/notifications \
  --header 'Authorization: Bearer <token>'
{
  "hasNext": true,
  "nextCursor": 98,
  "items": [
    {
      "notificationId": 123,
      "notificationType": "BOOK_AVAILABLE",
      "isbn": 9791191111111,
      "bookTitle": "테스트 도서",
      "libraryId": 10,
      "libraryName": "구미시립양포도서관",
      "title": "대출 가능 알림",
      "message": "알림 받기 한 도서가 구미시립양포도서관에서 대출 가능합니다.",
      "notificationDate": "2026-05-07",
      "createdAt": "2026-05-07T09:00:01"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://polaris.nimonic.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string

커서 이후의 알림만 조회하려면 이전 응답의 nextCursor 값을 입력하세요. 없으면 첫 페이지를 조회합니다.

limit
integer<int32>
default:20

한 번에 조회할 알림 개수입니다. 1부터 100까지 입력할 수 있으며 기본값은 20입니다.

Response

성공

hasNext
boolean

다음 페이지가 있으면 true입니다.

Example:

true

nextCursor
string

다음 페이지 조회에 사용할 커서입니다. 다음 페이지가 없으면 null입니다.

Example:

98

items
object[]

현재 페이지의 항목 목록입니다.